/*
*  Rubrica
*  file: prefer_int.c
*
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/*
 * NON MODIFICARE QUESTO FILE - generato automaticamente da Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gnome.h>

#include "prefer_cb.h"
#include "prefer_int.h"
#include "support.h"

GSList *opt_file_group = NULL;
GSList *opt_ordine_group = NULL;
GSList *opt_ord_tipo_group = NULL;
GSList *opt_back_group = NULL;

GtkWidget *radio_file;
GtkWidget *radio_path;
GtkWidget *radio_alfa;
GtkWidget *radio_data;
GtkWidget *radio_cre;
GtkWidget *radio_decre;
GtkWidget *radio_mai;
GtkWidget *radio_sempre;

void
create_propertybox(void)
{
  GtkWidget *propertybox;
  GtkWidget *notebook1;
  GtkWidget *frame1;
  GtkWidget *vbox1;
  GtkWidget *frame2;
  GtkWidget *hbox1;
  GtkWidget *frame3;
  GtkWidget *vbox2;
  GtkWidget *table1;
  GtkWidget *label5;
  GtkWidget *label6;
  GtkWidget *label1;
  GtkWidget *frame4;
  GtkWidget *table2;
  GtkWidget *label7;
  GtkWidget *label2;

  propertybox = gnome_property_box_new ();
  gtk_object_set_data (GTK_OBJECT (propertybox), "propertybox", propertybox);
  gtk_container_set_border_width (GTK_CONTAINER (propertybox), 5);
/*  gtk_window_set_title (GTK_WINDOW (propertybox), "Preferenze"); */
  gtk_window_set_title (GTK_WINDOW (propertybox), "Preferences");
  gtk_window_set_modal (GTK_WINDOW (propertybox), TRUE);
  gtk_window_set_policy (GTK_WINDOW (propertybox), FALSE, FALSE, FALSE);

  notebook1 = GNOME_PROPERTY_BOX (propertybox)->notebook;
  gtk_object_set_data (GTK_OBJECT (propertybox), "notebook1", notebook1);
  gtk_widget_show (notebook1);

  frame1 = gtk_frame_new (NULL);
  gtk_widget_ref (frame1);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "frame1", frame1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame1);
  gtk_container_add (GTK_CONTAINER (notebook1), frame1);
  gtk_container_set_border_width (GTK_CONTAINER (frame1), 5);

  vbox1 = gtk_vbox_new (FALSE, 5);
  gtk_widget_ref (vbox1);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "vbox1", vbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (frame1), vbox1);

  frame2 = gtk_frame_new (_(" File "));
  gtk_widget_ref (frame2);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "frame2", frame2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame2);
  gtk_box_pack_start (GTK_BOX (vbox1), frame2, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame2), 5);

  hbox1 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox1);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "hbox1", hbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox1);
  gtk_container_add (GTK_CONTAINER (frame2), hbox1);
/*
  radio_file = gtk_radio_button_new_with_label (opt_file_group,
						_("mostra solo il nome del file"));
*/
  radio_file = gtk_radio_button_new_with_label (opt_file_group,
						_("show file name"));
  opt_file_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radio_file));
  gtk_widget_ref (radio_file);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "radio_file", radio_file,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (radio_file);
  gtk_box_pack_start (GTK_BOX (hbox1), radio_file, TRUE, FALSE, 0);
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (radio_file), TRUE);

/*
  radio_path = gtk_radio_button_new_with_label (opt_file_group, 
						_("mostra il percorso completo"));
*/
  radio_path = gtk_radio_button_new_with_label (opt_file_group, 
						_("show path"));
  opt_file_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radio_path));
  gtk_widget_ref (radio_path);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "radio_path", radio_path,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (radio_path);
  gtk_box_pack_start (GTK_BOX (hbox1), radio_path, TRUE, FALSE, 0);

/*
  frame3 = gtk_frame_new (_(" Ordinamento "));
*/
  frame3 = gtk_frame_new (_(" Ordering "));
  gtk_widget_ref (frame3);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "frame3", frame3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame3);
  gtk_box_pack_start (GTK_BOX (vbox1), frame3, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame3), 5);

  vbox2 = gtk_vbox_new (FALSE, 5);
  gtk_widget_ref (vbox2);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "vbox2", vbox2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox2);
  gtk_container_add (GTK_CONTAINER (frame3), vbox2);
  gtk_container_set_border_width (GTK_CONTAINER (vbox2), 5);

  table1 = gtk_table_new (2, 3, TRUE);
  gtk_widget_ref (table1);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "table1", table1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (table1);
  gtk_box_pack_start (GTK_BOX (vbox2), table1, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (table1), 5);
  gtk_table_set_row_spacings (GTK_TABLE (table1), 5);
  gtk_table_set_col_spacings (GTK_TABLE (table1), 5);

/*
  label5 = gtk_label_new (_("Visualizza le schede:  "));
*/
  label5 = gtk_label_new (_("Show cards  "));
  gtk_widget_ref (label5);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "label5", label5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label5);
  gtk_table_attach (GTK_TABLE (table1), label5, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label5), GTK_JUSTIFY_LEFT);
  gtk_label_set_line_wrap (GTK_LABEL (label5), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label5), 2.66358e-07, 0.5);

/*
  radio_alfa = gtk_radio_button_new_with_label (opt_ordine_group,
						_("in ordine alfabetico"));
*/
  radio_alfa = gtk_radio_button_new_with_label (opt_ordine_group,
						_("by alphabetic order"));
  opt_ordine_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radio_alfa));
  gtk_widget_ref (radio_alfa);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "radio_alfa", radio_alfa,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (radio_alfa);
  gtk_table_attach (GTK_TABLE (table1), radio_alfa, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (radio_alfa), TRUE);

/*
  radio_data = gtk_radio_button_new_with_label (opt_ordine_group, 
						_("per data di creazione"));
*/
  radio_data = gtk_radio_button_new_with_label (opt_ordine_group, 
						_("by creation date"));
  opt_ordine_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radio_data));
  gtk_widget_ref (radio_data);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "radio_data", radio_data,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (radio_data);
  gtk_table_attach (GTK_TABLE (table1), radio_data, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
/*
  label6 = gtk_label_new (_("L' ordinamento :  "));
*/
  label6 = gtk_label_new (_("The ordering is:  "));
  gtk_widget_ref (label6);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "label6", label6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label6);
  gtk_table_attach (GTK_TABLE (table1), label6, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label6), GTK_JUSTIFY_LEFT);
  gtk_label_set_line_wrap (GTK_LABEL (label6), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label6), 0, 0.5);

/*
  radio_cre = gtk_radio_button_new_with_label (opt_ord_tipo_group, _("crescente"));
*/
  radio_cre = gtk_radio_button_new_with_label (opt_ord_tipo_group, _("increasing"));
  opt_ord_tipo_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radio_cre));
  gtk_widget_ref (radio_cre);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "radio_cre", radio_cre,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (radio_cre);
  gtk_table_attach (GTK_TABLE (table1), radio_cre, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (radio_cre), TRUE);
/*
  radio_decre = gtk_radio_button_new_with_label (opt_ord_tipo_group, _("decrescente"));
*/
  radio_decre = gtk_radio_button_new_with_label (opt_ord_tipo_group, _("decreasing"));
  opt_ord_tipo_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radio_decre));
  gtk_widget_ref (radio_decre);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "radio_decre", radio_decre,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (radio_decre);
  gtk_table_attach (GTK_TABLE (table1), radio_decre, 2, 3, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);

  label1 = gtk_label_new (_("Info"));
  gtk_widget_ref (label1);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "label1", label1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label1);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook1), 
			      gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook1), 0),
			      label1);

  frame4 = gtk_frame_new (NULL);
  gtk_widget_ref (frame4);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "frame4", frame4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame4);
  gtk_container_add (GTK_CONTAINER (notebook1), frame4);
  gtk_container_set_border_width (GTK_CONTAINER (frame4), 5);

  table2 = gtk_table_new (3, 3, TRUE);
  gtk_widget_ref (table2);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "table2", table2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (table2);
  gtk_container_add (GTK_CONTAINER (frame4), table2);
  gtk_container_set_border_width (GTK_CONTAINER (table2), 5);
  gtk_table_set_row_spacings (GTK_TABLE (table2), 5);
  gtk_table_set_col_spacings (GTK_TABLE (table2), 5);

/*
  label7 = gtk_label_new (_("Crea una copia di\nbackup dei file: "));
*/
  label7 = gtk_label_new (_("Make file backup: "));
  gtk_widget_ref (label7);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "label7", label7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label7);
  gtk_table_attach (GTK_TABLE (table2), label7, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label7), GTK_JUSTIFY_LEFT);
  gtk_label_set_line_wrap (GTK_LABEL (label7), TRUE);
  gtk_misc_set_alignment (GTK_MISC (label7), 0, 0.5);

/*
  radio_mai = gtk_radio_button_new_with_label (opt_back_group,_("mai"));
*/
  radio_mai = gtk_radio_button_new_with_label (opt_back_group,_("never"));
  opt_back_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radio_mai));
  gtk_widget_ref (radio_mai);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "radio_mai", radio_mai,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (radio_mai);
  gtk_table_attach (GTK_TABLE (table2), radio_mai, 2, 3, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (radio_mai), TRUE);

/*
  radio_sempre = gtk_radio_button_new_with_label (opt_back_group, _("sempre"));
*/
  radio_sempre = gtk_radio_button_new_with_label (opt_back_group, _("always"));
  opt_back_group = gtk_radio_button_group (GTK_RADIO_BUTTON (radio_sempre));
  gtk_widget_ref (radio_sempre);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "radio_sempre", radio_sempre,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (radio_sempre);
  gtk_table_attach (GTK_TABLE (table2), radio_sempre, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  label2 = gtk_label_new (_("Backup"));
  gtk_widget_ref (label2);
  gtk_object_set_data_full (GTK_OBJECT (propertybox), "label2", label2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label2);
  gtk_notebook_set_tab_label (GTK_NOTEBOOK (notebook1), 
			      gtk_notebook_get_nth_page (GTK_NOTEBOOK (notebook1), 1),
			      label2);


  gtk_signal_connect (GTK_OBJECT (propertybox), "apply",
                      GTK_SIGNAL_FUNC (on_propertybox_apply),
                      NULL);

  gtk_signal_connect (GTK_OBJECT (radio_file), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_file_toggled),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (radio_path), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_path_toggled),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (radio_alfa), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_alfa_toggled),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (radio_data), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_data_toggled),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (radio_cre), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_cre_toggled),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (radio_decre), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_decre_toggled),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (radio_mai), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_mai_toggled),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (radio_sempre), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_sempre_toggled),
                      NULL);

  gtk_widget_show(propertybox);
}

